use std::ops::Deref;
use bitvec::order::Lsb0;
use bitvec::prelude::AsBits;

pub fn from_string_to_vec_bits(raw_data: String) -> Vec<u8>{

    raw_data
        .as_bits::<Lsb0>()
        .iter()
        .step_by(8)
        .map(|x| *x.deref() as u8)
        .collect()

}